﻿//===============================================================================
// Goal Book.
// Copyright © 2009 Mark Brownsword. 
//===============================================================================
namespace GoalBook.Infrastructure
{
    #region Using Statements
    #endregion

    /// <summary>
    /// Class to represent ComboItem for displaying in a DropdownList.
    /// </summary>
    public class ComboItemInfo
    {        
        /// <summary>
        /// Constructor.
        /// </summary>
        public ComboItemInfo(string value, string text)
        {
            this.Value = value;
            this.Text = text;
        }

        /// <summary>
        /// Reference to the Value field.
        /// </summary>
        public string Value { get; private set; }

        /// <summary>
        /// Reference to the Text field.
        /// </summary>
        public string Text { get; private set; }        

        /// <summary>
        /// String representation of the ComboItemInfo.
        /// </summary>
        /// <returns></returns>
        public override string ToString()
        {
            return this.Text;
        }
    }
}
