﻿//===============================================================================
// Goal Book.
// Copyright © 2009 Mark Brownsword. 
//===============================================================================

#region Using Statements
#endregion

namespace GoalBook.Infrastructure.Constants
{
    public class DateComparisonConstants
    {
        public static readonly string NO_DATE_SPECIFIED = Properties.Resources.NullDateString;
    }

    public class SynchronisationConstants
    {
        public const string SYNC_DATE_FORMAT = "s";
    }

    public class MenuConstants
    {
        public const string APP_IMAGE_URI = @"pack://application:,,,/App.ico";
        public const string JOURNAL_48_IMAGE_URI = @"pack://application:,,,/Journal48.ico";
        public const string MENU_PRINT_IMAGE_URI = @"pack://application:,,,/Resources/printer.png";                
        public const string MENU_NEW_GOAL_IMAGE_URI = @"pack://application:,,,/Resources/flag_red.png";
        public const string MENU_NEW_NOTE_IMAGE_URI = @"pack://application:,,,/Resources/page_red.png";
        public const string MENU_NEW_TASK_IMAGE_URI = @"pack://application:,,,/Resources/checked.gif";        
        public const string MENU_SAVE_IMAGE_URI = @"pack://application:,,,/Resources/disk.png";
        public const string MENU_UNDO_IMAGE_URI = @"pack://application:,,,/Resources/arrow_undo.png";
        public const string MENU_DELETE_IMAGE_URI = @"pack://application:,,,/Resources/cross.png";
        public const string MENU_ACCOUNT_IMAGE_URI = @"pack://application:,,,/Resources/user.png";
        public const string MENU_ACCOUNT_CHANGE_IMAGE_URI = @"pack://application:,,,/Resources/group.png";
        public const string MENU_SYNCHRONISE_IMAGE_URI = @"pack://application:,,,/Resources/arrow_refresh.png";
        public const string MENU_INTERNET_IMAGE_URI = @"pack://application:,,,/Resources/world.png";
        public const string MENU_INTERNET_LINK_IMAGE_URI = @"pack://application:,,,/Resources/world_link.png";
        public const string MENU_HELP_IMAGE_URI = @"pack://application:,,,/Resources/help.png";
        public const string MENU_FEEDBACK_IMAGE_URI = @"pack://application:,,,/Resources/email.png";
        public const string MESSAGE_EXCLAMATION_IMAGE_URI = @"pack://application:,,,/Resources/exclamation.png";
        public const string MESSAGE_ERROR_IMAGE_URI = @"pack://application:,,,/Resources/error.png";
        public const string MESSAGE_INFORMATION_IMAGE_URI = @"pack://application:,,,/Resources/information.png";
        public const string MENU_SEARCH_IMAGE_URI = @"pack://application:,,,/Resources/magnifier.png";
    }

    public class GoalSerializationContants
    {
        public const string SERIALIZATION_GOAL = "Goal";
        public const string SERIALIZATION_GOALID = "GoalID";
        public const string SERIALIZATION_LEVELID = "LevelID";
        public const string SERIALIZATION_CONTRIBUTESID = "ContributesID";
        public const string SERIALIZATION_ARCHIVED = "Archived";
        public const string SERIALIZATION_TITLE = "Title";
        public const string SERIALIZATION_EXTERNALIDENTIFIER = "ExternalIdentifier";
        public const string SERIALIZATION_LASTMODIFIED = "LastModified";
        public const string SERIALIZATION_SYNCREQUIRED = "SyncRequired";
    }

    public class NoteSerializationContants
    {
        public const string SERIALIZATION_NOTE = "Note";
        public const string SERIALIZATION_NOTEID = "NoteID";
        public const string SERIALIZATION_TITLE = "Title";
        public const string SERIALIZATION_TEXT = "Text";
        public const string SERIALIZATION_FOLDERID = "FolderID";        
        public const string SERIALIZATION_ADDED = "Added";
        public const string SERIALIZATION_MODIFIED = "Modified";
        public const string SERIALIZATION_ISPRIVATE = "IsPrivate";
        public const string SERIALIZATION_EXTERNALIDENTIFIER = "ExternalIdentifier";
        public const string SERIALIZATION_SYNCREQUIRED = "SyncRequired";
    }

    public class TaskSerializationConstants
    {
        public const string SERIALIZATION_TASK = "Task";
        public const string SERIALIZATION_TASKID = "TaskID";
        public const string SERIALIZATION_PARENTTASK  = "ParentTask";
        public const string SERIALIZATION_CHILDREN  = "Children";
        public const string SERIALIZATION_TITLE = "Title";
        public const string SERIALIZATION_TAG  = "Tag";            
        public const string SERIALIZATION_FOLDERID = "FolderID";        
        public const string SERIALIZATION_CONTEXTID  = "ContextID";
        public const string SERIALIZATION_GOALID = "GoalID";
        public const string SERIALIZATION_ADDED = "Added";
        public const string SERIALIZATION_MODIFIED = "Modified";
        public const string SERIALIZATION_START  = "Start";
        public const string SERIALIZATION_DUE = "Due";
        public const string SERIALIZATION_DUEMODIFIER = "DueModifier";
        public const string SERIALIZATION_DUETIME = "DueTime";
        public const string SERIALIZATION_STARTTIME = "StartTime";
        public const string SERIALIZATION_COMPLETED = "Completed";
        public const string SERIALIZATION_REPEAT = "Repeat";
        public const string SERIALIZATION_REPEATADVANCED = "RepeatAdvanced";
        public const string SERIALIZATION_STATUS = "Status";
        public const string SERIALIZATION_STAR = "Star";
        public const string SERIALIZATION_PRIORITY = "Priority";
        public const string SERIALIZATION_LENGTH = "Length";
        public const string SERIALIZATION_TIMER = "Timer";
        public const string SERIALIZATION_NOTE = "Note";
        public const string SERIALIZATION_EXTERNALIDENTIFIER = "ExternalIdentifier";
        public const string SERIALIZATION_SYNCREQUIRED = "SyncRequired";
    }

    public class FolderSerializationContants
    {
        public const string SERIALIZATION_FOLDER = "Folder";
        public const string SERIALIZATION_FOLDERID = "FolderID";
        public const string SERIALIZATION_ISPRIVATE = "IsPrivate";
        public const string SERIALIZATION_ARCHIVED = "Archived";        
        public const string SERIALIZATION_ORDER = "Order";        
        public const string SERIALIZATION_TITLE = "Title";
        public const string SERIALIZATION_EXTERNALIDENTIFIER = "ExternalIdentifier";
        public const string SERIALIZATION_SYNCREQUIRED = "SyncRequired";
    }

    public class PrintConstants
    {
        public const string FONT_FAMILY_ARIAL = "Arial";
    }
}
