﻿//===============================================================================
// Goal Book.
// Copyright © 2009 Mark Brownsword. 
//===============================================================================

#region Using Statements
using System;
using System.Collections.Generic;
using System.Windows.Data;
#endregion

namespace GoalBook.Infrastructure.Converters
{
    /// <summary>
    /// Value Converter for object model item foreign keys.
    /// </summary>
    public class BoolToPendingConverter : IValueConverter
    {
        private readonly string PENDING_IMAGE_URI = Constants.MenuConstants.MENU_SYNCHRONISE_IMAGE_URI;

        #region IValueConverter Members
        /// <summary>
        /// Convert ID to Lookup Value.
        /// </summary>        
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            string returnValue = string.Empty;

            bool result = false;
            if (bool.TryParse(value.ToString(), out result) && result)
            {
                returnValue = PENDING_IMAGE_URI;
            }

            return returnValue;
        }
        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return value.ToString() == PENDING_IMAGE_URI ? true : false;
        }

        #endregion
    }
}
