﻿//===============================================================================
// Goal Book.
// Copyright © 2009 Mark Brownsword. 
//===============================================================================

#region Using Statements
using System;
using System.Collections.Generic;
using System.Windows.Data;
#endregion

namespace GoalBook.Infrastructure.Converters
{
    /// <summary>
    /// Value Converter for object model item foreign keys.
    /// </summary>
    public class IntegerForeignKeyConverter : IValueConverter
    {
        #region IValueConverter Members
        /// <summary>
        /// Convert ID to Lookup Value.
        /// </summary>        
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            string result = value.ToString();
            
            ObjectDataProvider provider;
            if ((provider = parameter as ObjectDataProvider) != null)
            {
                Dictionary<int, string> list;
                if ((list = provider.Data as Dictionary<int, string>) != null)
                {
                    if (value is Int32)
                    {
                        list.TryGetValue(int.Parse(value.ToString()), out result);
                    }
                }
            }

            return result;
        }
        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            int result = 0;

            ObjectDataProvider provider;
            if ((provider = parameter as ObjectDataProvider) != null)
            {
                Dictionary<int, string> list;
                if ((list = provider.Data as Dictionary<int, string>) != null)
                {
                    foreach (KeyValuePair<int, string> pair in list)
                    {
                        if (pair.Value == value.ToString())
                        {
                            result = pair.Key; break;
                        }
                    }
                }
            }

            return result;
        }

        #endregion
    }
}
