﻿//===============================================================================
// Goal Book.
// Copyright © 2009 Mark Brownsword. 
//===============================================================================
namespace GoalBook.Infrastructure.Events
{
    #region Using Statements
    using System;
    #endregion

    /// <summary>
    /// Delegate for the DueDateChanged event.
    /// </summary>    
    public delegate void DueDateChangedEventHandler(DueDateChangedEventArgs e);

    /// <summary>
    /// Event arguments for the DueDateChanged event.
    /// </summary>
    public class DueDateChangedEventArgs : EventArgs
    {
        /// <summary>
        /// DateAndTime.
        /// </summary>
        public DateTime DueDate { get; set; }

        /// <summary>
        /// IsEnabled.
        /// </summary>
        public bool IsEnabled { get; set; }

        /// <summary>
        /// Constructor.
        /// </summary>    
        public DueDateChangedEventArgs()
        {              
        }
    }
}

