﻿//===============================================================================
// Goal Book.
// Copyright © 2009 Mark Brownsword. 
//===============================================================================

#region Using Statements
using System;
using GoalBook.Infrastructure.Enums;
using Infragistics.Windows.DataPresenter;
#endregion

namespace GoalBook.Infrastructure.Events
{
    /// <summary>
    /// Delegate for handling the Contributes event.
    /// </summary>    
    public delegate void EditActionEventHandler(EditActionEventArgs e);

    /// <summary>
    /// Event arguments for the LevelChanged event.
    /// </summary>
    public class EditActionEventArgs : EventArgs
    {
        /// <summary>
        /// Records.
        /// </summary>
        public SelectedRecordCollection Records { get; private set; }

        /// <summary>
        /// EditAction.
        /// </summary>
        public EditActionType EditAction { get; private set; }
        
        /// <summary>
        /// Constructor.
        /// </summary>    
        public EditActionEventArgs(SelectedRecordCollection records, EditActionType editAction)
        {
            Records = records;
            EditAction = editAction;
        }
    }
}

