﻿//===============================================================================
// Goal Book.
// Copyright © 2009 Mark Brownsword. 
//===============================================================================

#region Using Statements
using System;
using GoalBook.Infrastructure.Enums;
using Microsoft.Practices.Composite.Presentation.Commands;
#endregion

namespace GoalBook.Infrastructure.Interfaces
{
    public interface INavigationService
    {
        void SetNavigationMetadata(params MenuInfo[] shellMenuItems);        
        void RegisterInfoCommand(GlobalCommandType type, DelegateCommand<CommandInfo> command);
        void RegisterStringCommand(GlobalCommandType type, DelegateCommand<string> command);
        bool LoadModuleView(string name, Uri imageUri, IView view, IView actionView, params MenuInfo[] shellMenuItems);
        bool LoadSearchView(object view);
        void ShowStatusMessage(string message);
    }
}
