﻿//===============================================================================
// Goal Book.
// Copyright © 2009 Mark Brownsword. 
//===============================================================================

#region Using Statements
using System;
using System.Collections.Generic;
using GoalBook.Infrastructure.ObjectModel;
#endregion

namespace GoalBook.Infrastructure.Interfaces
{
    public interface IPersistenceService
    {
        // Methods
        void Clear();
        void Save();
        void UpdateFolderList();
        void UpdateContributesList(Guid goalID);
        Dictionary<int, string> FetchLevelList();
        Dictionary<Guid, string> FetchContributesList(Guid currentGoal, int level);
        Dictionary<Guid, string> FetchContributesList();
        Dictionary<Guid, string> FetchFolderList();
                
        // Properties
        bool SyncRequired { get; }
        bool SaveRequired { get; }
        GoalList Goals { get; }
        NoteList Notes { get; }
        FolderList Folders { get; }
        TaskList Tasks { get; }
        
        // Events
        event EventHandler SaveOccured;        
    }
}
