﻿// <copyright file="IPrintService.cs" company="GoalBook"> 
//    Copyright © 2009 Mark Brownsword. All rights reserved.
//    This source code and supporting files are licensed under The Code Project  
//    Open License (CPOL) as detailed at http://www.codeproject.com/info/cpol10.aspx. 
// </copyright>
namespace GoalBook.Infrastructure.Interfaces
{
    #region Using Statements
    using System.Windows.Documents;
    #endregion

    /// <summary>
    /// PrintService Interface.
    /// </summary>
    public interface IPrintService
    {
        /// <summary>
        /// Gets PrintableAreaWidth.
        /// </summary>
        double PrintableAreaWidth { get; }

        /// <summary>
        /// Gets PrintableAreaHeight.
        /// </summary>
        double PrintableAreaHeight { get; }

        /// <summary>
        /// Print the specified FlowDocument.
        /// </summary>
        /// <param name="title">title parameter</param>
        /// <param name="document">FlowDocument to print</param>
        void Print(string title, FlowDocument document);             
    }
}
