﻿// <copyright file="GlobalCommandsProxy.cs" company="GoalBook"> 
//    Copyright © 2009 Mark Brownsword. All rights reserved.
//    This source code and supporting files are licensed under The Code Project  
//    Open License (CPOL) as detailed at http://www.codeproject.com/info/cpol10.aspx. 
// </copyright>
namespace GoalBook.Shell.Commands
{
    #region Using Statements
    using GoalBook.Shell.Misc;
    using Microsoft.Practices.Composite.Presentation.Commands;
    #endregion

    /// <summary>
    /// Used by Module Views to register Composite Commands.
    /// </summary>
    public class GlobalCommandsProxy : IGlobalCommandsProxy
    {
        /// <summary>
        /// Gets reference for Proxy PrintCommand.
        /// </summary>
        public virtual CompositeCommand PrintCommand
        {
            get { return GlobalCommands.PrintCommand; }
        }

        /// <summary>
        /// Gets reference for Proxy UndoCommand. 
        /// </summary>
        public virtual CompositeCommand UndoCommand
        {
            get { return GlobalCommands.UndoCommand; }
        }

        /// <summary>
        /// Gets reference for Proxy DeleteCommand.
        /// </summary>
        public virtual CompositeCommand DeleteCommand
        {
            get { return GlobalCommands.DeleteCommand; }
        }

        /// <summary>
        /// Gets reference for Proxy SearchCommand.
        /// </summary>
        public virtual CompositeCommand SearchCommand
        {
            get { return GlobalCommands.SearchCommand; }
        }

        /// <summary>
        /// Gets reference for Proxy ClearCommand.
        /// </summary>
        public virtual CompositeCommand ClearCommand
        {
            get { return GlobalCommands.ClearCommand; }
        }
    }
}
