﻿//===============================================================================
// Goal Book.
// Copyright © 2009 Mark Brownsword. 
//===============================================================================

#region Using Statements
using System;
using System.Reflection;
using System.Windows;
using System.Windows.Media;
#endregion

namespace GoalBook.Shell.Services
{
    /// <summary>
    /// Common property values.
    /// </summary>
    internal class AssemblyInfoProperties
    {        
        /// <summary>
        /// Determine ProductName from AssemblyInfo.
        /// </summary>
        public static string ProductName 
        { 
            get { return AssemblyInfo.GetCustomAttribute<AssemblyProductAttribute>().Product; } 
        }
        /// <summary>
        /// Determine Version from AssemblyInfo.
        /// </summary>
        public static string Version
        {
            get { return AssemblyInfo.GetCustomAttribute<AssemblyFileVersionAttribute>().Version; }
        }
        /// <summary>
        /// Determine Copyright from AssemblyInfo.
        /// </summary>
        public static string Copyright
        {
            get { return AssemblyInfo.GetCustomAttribute<AssemblyCopyrightAttribute>().Copyright; }
        }
    }
}
