﻿//===============================================================================
// Goal Book.
// Copyright © 2009 Mark Brownsword. 
//===============================================================================

#region Using Statements
using System;
using System.Diagnostics;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Media.Imaging;
using GoalBook.Shell.Services;
#endregion

namespace GoalBook.Shell.Views
{
    /// <summary>
    /// Interaction logic for AboutDialog.xaml
    /// </summary>
    public partial class AboutView : UserControl
    {
        /// <summary>
        /// Constructor.
        /// </summary>
        public AboutView()
        {
            InitializeComponent();                 
   
            //Set Product.
            this.labelProduct.Content = AssemblyInfoProperties.ProductName;                

            //Set Version.
            this.labelVersion.Content = string.Format("{0} {1}", this.labelVersion.Content, AssemblyInfoProperties.Version);
            
            // Set Image
            this.imageAbout.Source = new BitmapImage(new Uri(GoalBook.Infrastructure.Constants.MenuConstants.JOURNAL_48_IMAGE_URI, UriKind.Absolute));
                        
            //Set Copyright.
            this.labelCopyright.Content = AssemblyInfoProperties.Copyright;
        }
        /// <summary>
        /// Handle Hyperlink_Click event.
        /// </summary>        
        private void Hyperlink_Click(object sender, RoutedEventArgs e)
        {
            if (e.Source is Hyperlink)
            {
                Process p = new Process();
                p.StartInfo.FileName = (e.Source as Hyperlink).NavigateUri.ToString();
                p.StartInfo.UseShellExecute = true;
                p.StartInfo.RedirectStandardOutput = false;
                p.StartInfo.Arguments = string.Empty;

                p.Start();
            }
        }
    }
}
