﻿//===============================================================================
// Goal Book.
// Copyright © 2009 Mark Brownsword. 
//===============================================================================

#region Using Statements
using System;
using System.ComponentModel;
using System.Windows;
using System.Windows.Controls;
using GoalBook.Infrastructure.Events;
using GoalBook.Infrastructure.Interfaces;
#endregion

namespace GoalBook.Shell.Views
{
    /// <summary>
    /// Interaction logic for AccountDialogView.xaml
    /// </summary>
    public partial class AccountDialogView : UserControl, IErrorInfoDialogView
    {
        #region Constants and Enums
        #endregion

        #region Inner Classes and Structures
        #endregion

        #region Delegates and Events

        #region ErrorInfoChanged
        private static ErrorInfoChangedEventHandler _errorInfoChangedEventHandler;
        /// <summary>
        /// Event indicating that the ErrorInfo property has changed.
        /// </summary>
        public event ErrorInfoChangedEventHandler ErrorInfoChanged
        {
            add { _errorInfoChangedEventHandler = (ErrorInfoChangedEventHandler)Delegate.Combine(_errorInfoChangedEventHandler, value); }
            remove { _errorInfoChangedEventHandler = (ErrorInfoChangedEventHandler)Delegate.Remove(_errorInfoChangedEventHandler, value); }
        }
        private void OnErrorInfoChanged(ErrorInfoChangedEventArgs args)
        {
            if (_errorInfoChangedEventHandler != null)
            {
                _errorInfoChangedEventHandler(args);
            }
        }        
        #endregion

        #endregion

        #region Instance and Shared Fields
        #endregion

        #region Constructors
        /// <summary>
        /// Constructor.
        /// </summary>
        public AccountDialogView()
        {
            InitializeComponent();
        }
        #endregion
        
        #region Properties
        #endregion

        #region Private and Protected Methods
        #endregion

        #region Public and internal Methods
        #endregion

        #region Event Handlers
        /// <summary>
        /// Handle UserControl_Loaded event.
        /// </summary>        
        private void UserControl_Loaded(object sender, RoutedEventArgs e)
        {
            this.Focus();

            if (this.textBoxEmail.IsEnabled)
            {
                this.textBoxEmail.Focus();
            }
            else
            {
                this.textBoxPassword.Focus();
            }
        }        
        #endregion

        #region Base Class Overrides
        #endregion

        #region IErrorInfoDialogView Members
        /// <summary>
        /// Raise ErrorInfoChanged.
        /// </summary>       
        public void RaiseErrorInfoChanged(IDataErrorInfo info)
        {
            OnErrorInfoChanged(new ErrorInfoChangedEventArgs(info));
        }
        #endregion        
    }
}
