﻿//===============================================================================
// Goal Book.
// Copyright © 2009 Mark Brownsword. 
//===============================================================================

#region Using Statements
using System;
using System.ComponentModel;
using System.Windows;
using GoalBook.Infrastructure;
#endregion

namespace GoalBook.Shell.Views
{
    public class AccountDialogViewPresenter
    {
        #region Constants and Enums
        #endregion

        #region Inner Classes and Structures
        #endregion

        #region Delegates and Events
        #endregion

        #region Instance and Shared Fields
        /// <summary>
        /// Declaration for informationMessage.
        /// </summary>
        private string informationMessage;
        #endregion

        #region Constructors
        /// <summary>
        /// Constructor.
        /// </summary>
        public AccountDialogViewPresenter(Credentials credentials, string informationMessage)
        {
            this.informationMessage = informationMessage;

            // Initialise Model.
            Model = new AccountDialogViewPresentationModel();
            Model.ConnectInfo = credentials;
            Model.ConnectInfo.PropertyChanged += new PropertyChangedEventHandler(ConnectInfo_PropertyChanged);            
        }
        #endregion

        #region Properties
        /// <summary>
        /// Reference to Model.
        /// </summary>
        public AccountDialogViewPresentationModel Model { get; set; }
        /// <summary>
        /// Reference to View.
        /// </summary>
        public AccountDialogView View { get; set; }        
        #endregion

        #region Private and Protected Methods
        #endregion

        #region Public and internal Methods
        /// <summary>
        /// Initialise the View.
        /// </summary>
        public void InitView()
        {
            View.textBoxEmail.IsEnabled = string.IsNullOrEmpty(Model.ConnectInfo.UserID);
            View.textBlockInformation.Text = informationMessage;                        
            View.DataContext = Model;            
        }        
        #endregion

        #region Event Handlers
        /// <summary>
        /// Handle ConnectInfo_PropertyChanged event. Raise event to the Dialog Window
        /// so the OK button is enabled when data is valid.
        /// </summary>        
        private void ConnectInfo_PropertyChanged(object sender, PropertyChangedEventArgs e)
        {            
            View.RaiseErrorInfoChanged(Model.ConnectInfo as IDataErrorInfo);
        }        
        #endregion

        #region Base Class Overrides
        #endregion
    }
}
