﻿//===============================================================================
// Goal Book.
// Copyright © 2009 Mark Brownsword. 
//===============================================================================

#region Using Statements
using System;
#endregion

namespace GoalBook.Synchronisation.Events
{
    /// <summary>
    /// Delegate for handling the SyncExceptionEventHandler event.
    /// </summary>    
    public delegate void SyncExceptionEventHandler(SyncExceptionEventArgs e);

    /// <summary>
    /// Event arguments for the SyncException event.
    /// </summary>
    public class SyncExceptionEventArgs : EventArgs
    {        
        /// <summary>
        /// SyncException.
        /// </summary>
        public Exception SyncException { get; protected set; }
        
        /// <summary>
        /// Constructor.
        /// </summary>    
        public SyncExceptionEventArgs(Exception exception)
        {
            SyncException = exception;
        }
    }
}

