﻿//===============================================================================
// Goal Book.
// Copyright © 2009 Mark Brownsword. 
//===============================================================================

#region Using Statements
using System;
#endregion

namespace GoalBook.Synchronisation.Events
{
    /// <summary>
    /// Delegate for handling the SyncProgressChanged event.
    /// </summary>    
    public delegate void SyncProgressChangedEventHandler(SyncProgressChangedEventArgs e);

    /// <summary>
    /// Event arguments for the LevelChanged event.
    /// </summary>
    public class SyncProgressChangedEventArgs : EventArgs
    {
        /// <summary>
        /// Message.
        /// </summary>
        public string Message { get; protected set; }

        /// <summary>
        /// PercentComplete.
        /// </summary>
        public int PercentComplete { get; protected set; }
        
        /// <summary>
        /// Constructor.
        /// </summary>    
        public SyncProgressChangedEventArgs(string message, int percentComplete)
        {
            Message = message;
            PercentComplete = percentComplete;
        }
    }
}

